/*----------------------------------------------------------------------------
/	LOGIC PACK H8pʒ`								2007 (C) LOGIC PACK
/	Version		Date							Name
/	000			06.11.24-						M.Yamada
/		first release(^`lp.ĥ)
/	001			07.10.18-						M.Yamada
/		lp.cǉAtim1msʉ
/	002			09.01.27-						M.Yamada
/		word̒`unsigned intunsigned shortɕύX
/		(SHint = 32bitȂ)
/---------------------------------------------------------------------------*/
#ifndef __LP_H_
#define __LP_H_

/*-----------------------------------------------
/ *DEFINE
/----------------------------------------------*/
#define TRUE			1
#define FALSE			0

typedef char			bool;
typedef unsigned char	byte;
//typedef unsigned int	word;
typedef unsigned short	word;
typedef unsigned long	dword;

typedef union {
	word	data;
	struct{
		byte hi;
		byte lo;
	} bytes;
}word_t;				/* Bigendian */

typedef union{
	dword data;
	struct{
		word_t hi;
		word_t lo;
	}words;
}dword_t;				/* Bigenddian */

/*-----------------------------------------------
/ *EXTERN
/----------------------------------------------*/
extern volatile long tim1ms;	/* 1msec */

#endif
